Main Page | Data Structures | File List | Data Fields | Globals | Related Pages

# cfg_option Struct Reference

Structure for defining one config option. More...

`#include <cfg+.h>`

## Data Fields
const char * | cmdline_long_name
| Command line long name (may be NULL).
const char | cmdline_short_name
| Command line short name (may be '').
const char * | cfgfile_name
| Config file name (may be NULL).
const enum cfg_option_type | type
| Option type.
void * | value
| Pointer where to store value of option.
int | val
| Return value (set to 0 for not return).

## Detailed Description

Structure for defining one config option.

## Field Documentation

const enum cfg_option_type cfg_option::type

| Option type. See also: cfg_option_type

The documentation for this struct was generated from the following file:

- cfg+.h